<template>
  <a-drawer title="失效网" placement="right" width="90%" @close="onClose" :visible="visible">
    <div class="drawer-autohei">
      <Split class="splitWrap">
        <SplitArea :minSize="0" :size="25">
          <div class="pd">
            <f-tabs :current.sync="tab" :list="['功能网','结构树']">
              <div v-if="tab===0">1</div>
              <div v-if="tab===1">2</div>
            </f-tabs>
          </div>
        </SplitArea>
        <SplitArea :minSize="0" :size="75"></SplitArea>
      </Split>
    </div>
  </a-drawer>
</template>
<style lang="less" scoped>
.splitWrap {
  height: 100%;
}
</style>
<script>
export default {
  props: {
    value: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      tab: 0
    };
  },
  computed: {
    visible() {
      return this.value;
    }
  },
  methods: {
    onClose() {
      this.$emit("input", false);
    }
  }
};
</script>